Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component.html
Enum HtmlMessage.Properties

    java.lang.Object
      java.lang.Enum<HtmlMessage.Properties>
          org.richfaces.component.html.HtmlMessage.Properties

All Implemented Interfaces:
  Serializable, Comparable<HtmlMessage.Properties>

Enclosing class:
  HtmlMessage

    protected static enum HtmlMessage.Properties

extends Enum<HtmlMessage.Properties>

Enum Constant Summary
`dir`
`lang`
`onclick`
`ondblclick`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`style`
`styleClass`
`title`

Method Summary
`static HtmlMessage.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HtmlMessage.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### dir

    public static final HtmlMessage.Properties dir

### lang

    public static final HtmlMessage.Properties lang

### onclick

    public static final HtmlMessage.Properties onclick

### ondblclick

    public static final HtmlMessage.Properties ondblclick

### onkeydown

    public static final HtmlMessage.Properties onkeydown

### onkeypress

    public static final HtmlMessage.Properties onkeypress

### onkeyup

    public static final HtmlMessage.Properties onkeyup

### onmousedown

    public static final HtmlMessage.Properties onmousedown

### onmousemove

    public static final HtmlMessage.Properties onmousemove

### onmouseout

    public static final HtmlMessage.Properties onmouseout

### onmouseover

    public static final HtmlMessage.Properties onmouseover

### onmouseup

    public static final HtmlMessage.Properties onmouseup

### style

    public static final HtmlMessage.Properties style

### styleClass

    public static final HtmlMessage.Properties styleClass

### title

    public static final HtmlMessage.Properties title

Method Detail

### values

    public static HtmlMessage.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlMessage.Properties c : HtmlMessage.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlMessage.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.